<?php

try{
	ini_set("soap.wsdl_cache_enabled", "0");

	// Utworzenie obiektu klienta  Web Services
	$client = new SoapClient("https://api.gsmservice.pl/soap/v2/gateway.php?wsdl");

	// struktura Account - zawiera login oraz haslo do konta API
	$arAccount = array(
						"login" => "", // Login subkonta API
						"pass" => "" // Hasło subkonta API
					  );



//  Wysyłanie SMS:

    // Tablica obiektów Message - każdy element zawiera jedną wiadomość SMS, ktora ma zostać wyslana.
	$arMessages = array(
						array(
							  "recipients" => array("48601234567"), // Numery telefonów odbiorców danej wiadomości
							  "message" => "Tresc wiadomosci SMS", // Tresc wiadomosci
							  "sender"=> "Bramka SMS", // Pole nadawcy, z ktorym ma zostac wyslany SMS (uprzednio zdefiniowane na koncie Uzytkownika)
							  "msgType" => 1, // Typ wiadomosci SMS: 1 - Tradycyjny SMS, 2 - Flash SMS, 3 - SMS ekonomiczny
							  "unicode" => false, // Czy wiadomosc ma byc wyslana w kodowaniu UNICODE?
							  "sandbox" => true // Czy tryb testowy?
							)
						);

 	// Wysyłanie SMS - wywolanie metody SendSMS
	$arOutput = $client->SendSMS(array("account" => $arAccount,"messages"=> $arMessages))->return;
	if (!is_array($oOutput)) $arOutput = array($arOutput);

 	// Obsluga odpowiedzi z bramki SMS:
	echo "Status żądania: " . $arOutput[0]->status . ", Kod błędu: " . $arOutput[0]->errCode . ", Opis statusu: " . $arOutput[0]->description .
                         ", Nr odbiorcy: " . $arOutput[0]->recipient . ", ID wiadomości: " . $arOutput[0]->msgId . ", Liczba części: " . $arOutput[0]->parts .
                         ", Koszt: " . $arOutput[0]->price . "<br/>";


/*
//  Sprawdzanie kosztu wiadomości

    // Tablica obiektów Message - każdy element zawiera jedną wiadomość SMS, ktorej cena ma zostać sprawdzona.
	$arMessages = array(
					array(
						  "recipients" => array("48601234567"), // Numery telefonów odbiorców danej wiadomości
						  "message" => "Tresc wiadomosci SMS", // Tresc wiadomosci
						  "sender"=> "Bramka SMS", // Pole nadawcy, z ktorym ma zostac wyslany SMS (uprzednio zdefiniowane na koncie Uzytkownika)
						  "msgType" => 1, // Typ wiadomosci SMS: 1 - Tradycyjny SMS, 2 - Flash SMS, 3 - SMS ekonomiczny
						  "unicode" => false, // Czy wiadomosc ma byc wyslana w kodowaniu UNICODE?
						)
					);

	// Sprawdzenie ceny wyslania SMS - wywolanie metody GetPrice
	$arOutput = $client->GetPrice(array("account" => $arAccount,"messages"=> $arMessages))->return;
	if (!is_array($oOutput)) $arOutput = array($arOutput);

	// Obsluga odpowiedzi z bramki SMS:
 	echo "Status żądania: " . $arOutput[0]->status . ", Kod błędu: " . $arOutput[0]->errCode . ", Opis statusu: " . $arOutput[0]->description .
                          ", Nr odbiorcy: " . $arOutput[0]->recipient . ", Liczba części: " . $arOutput[0]->parts . ", Koszt: " . $arOutput[0]->price . "<br />";




//  Sprawdzanie statusu wiadomości

    // Tablica stringów - każdy element zawiera ID jednej wiadomości, której status ma zostać sprawdzony.
	$arIds = array("8684763");

	// Sprawdzenie aktualnego statusu wiadomości SMS - wywolanie metody GetStatus
	$arOutput = $client->GetStatus(array("account" => $arAccount,"ids"=> $arIds))->return;
	if (!is_array($oOutput)) $arOutput = array($arOutput);

 	// Obsluga odpowiedzi z bramki SMS:
	echo "Status żądania: " . $arOutput[0]->status . ", Kod błędu: " . $arOutput[0]->errCode . ", Opis statusu: " . $arOutput[0]->description .
                          ", ID wiadomości: " . $arOutput[0]->msgId . ", Nr odbiorcy: " . $arOutput[0]->recipient . ", Data wysyłki: " . $arOutput[0]->origDate .
                          ", Data ostatniej zmiany statusu: " . $arOutput[0]->doneDate . ", Status wiadomości: " . $arOutput[0]->msgStatusCode . ", Tekstowy opis statusu wiadomości: " .
                          $arOutput[0]->msgStatusDescription . ", Typ wiadomości: " . $arOutput[0]->msgType . ", Liczba części: " . $arOutput[0]->parts .
                          ", Koszt: " . $arOutput[0]->price . ", ID użytkownika: " . $arOutput[0]->extId . ", Czy Unicode?: " . $arOutput[0]->unicode . "<br />";



//  Sprawdzanie stanu konta

    // Sprawdzenie aktualnego stanu konta - wywolanie metody GetBalance
	$arOutput = $client->GetBalance(array("account" => $arAccount))->return;

	// Obsluga odpowiedzi z bramki SMS:
	echo "Status żądania: " . $arOutput->status . ", Kod błędu: " . $arOutput->errCode . ", Opis statusu: " . $arOutput->description .
                                ", Stan konta: " . $arOutput->balance . ", Waluta konta: " . $arOutput->currency . "<br />";



//  Anulowanie zaplanowanych wiadomosci

    // Tablica stringów - każdy element zawiera ID jednej zaplanowanej wiadomości, która ma zostać anulowana.
	$arIds = array("8684763");

	// Anulowanie zaplanowanej wiadomości - wywolanie metody Cancel
	$arOutput = $client->Cancel(array("account" => $arAccount,"ids"=> $ids))->return;
	if (!is_array($oOutput)) $arOutput = array($arOutput);

	// Obsluga odpowiedzi z bramki SMS:
	echo "Status żądania: " . $arOutput[0]->status . ", Kod błędu: " . $arOutput[0]->errCode . ", Opis statusu: " . $arOutput[0]->description .
                              ", ID anulowanej wiadomości: " . $arOutput[0]->msgId . ", Nr odbiorcy: " . $arOutput[0]->recipient . "<br />";
*/
}
catch(Exception $oE)
{
	 print_r($oE);
}
?>